Bug 106531 - XMLSerializer's handling of namespaces seems to be pretty broken
Summary: XMLSerializer's handling of namespaces seems to be pretty broken
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: XML (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-09 23:21 PST by Boris Zbarsky
Modified: 2013-07-30 19:00 PDT (History)
2 users (show)

See Also:


Attachments
Testcase (341 bytes, text/html)
2013-01-09 23:21 PST, Boris Zbarsky
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Zbarsky 2013-01-09 23:21:58 PST
Created attachment 182074 [details]
Testcase

I have yet to find a testcase that actually works correctly, but as a start attached is a simple one that goes wrong.  In that testcase, a node with a null namespace is serialized but if the serialization were then parsed again that node would end up in a non-null namespace.

I assume that this is not identical to bug 16496, since I'm using an XML document created via document.implementation....
Comment 1 Rob Buis 2013-07-15 19:09:01 PDT
(In reply to comment #0)
> Created an attachment (id=182074) [details]
> Testcase
> 
> I have yet to find a testcase that actually works correctly, but as a start attached is a simple one that goes wrong.  In that testcase, a node with a null namespace is serialized but if the serialization were then parsed again that node would end up in a non-null namespace.
> 
> I assume that this is not identical to bug 16496, since I'm using an XML document created via document.implementation....

Bug 16739 patch now contains a fix for the attached testcase.
Comment 2 Rob Buis 2013-07-30 19:00:18 PDT
Committed r153508: <http://trac.webkit.org/changeset/153508>